﻿#Importation des bibliothèques
import numpy as np
import matplotlib.pyplot as plt
from math import pi

#Définition de : l'amplitude, la période et du déphasage des 2 signaux
A1 = ...        #Amplitude du signal 1 (sans unité)
A2 = ...        #Amplitude du signal 2 (sans unité)
T = ...         #Période (en s), identique pour les deux signaux "synchrones"
phi1 = ...      #Phase à l'origine du signal 1
phi2 = ...      #Phase à l'origine du signal 2

#Définition du tableau des dates (en s)
t = np.linspace(0.,20.,2000)

#Définition des courbes
s1 = ...
s2 = ...
s3 = ...

#Tracé des courbes
plt.axis([0,20,-10,10])
plt.xlabel('Temps en s')
plt.ylabel('Amplitude')
plt.title('Somme de deux signaux sinusoïdaux périodiques synchrones')
plt.grid()
c1 = plt.plot(t, s1, '-c', label = r'$s_1$')
c2 = plt.plot(t, s2, '-m', label = r'$s_2$')
c3 = plt.plot(t, s3, '-k', label = r'$s_3$')
plt.legend()

plt.show()
