import matplotlib.pyplot as plt

#Les fonctions------------------------------------------------------
def Tracer_des_positions(abscisses,ordonnees):
    plt.scatter(abscisses,ordonnees,marker='+')
    plt.title('Positions successives occupées par le système')
    plt.xlabel('x en (m)')
    plt.ylabel('Altitude z en (m)')
    plt.xlim(0.8*min(abscisses),1.2*max(abscisses))

def calcul_vitesses(abscisses,ordonnees,temps):
    v_x=[]
    v_y=[]
    for n in range(len(abscisses)-1):
        print(n)
        v_x.append((abscisses[n+1]-abscisses[n])/(temps[n+1]-temps[n]))
        v_y.append((ordonnees[n+1]-ordonnees[n])/(temps[n+1]-temps[n]))
    temps=temps[:-1]
    return v_x,v_y,temps

def representation_vecteur_vitesse(abscisses,ordonnees,v_x,v_y):
    for i in range(len(v_x)):
        plt.quiver(abscisses[i], ordonnees[i] ,v_x[i] , v_y[i], scale_units='xy',angles='xy', scale=15)
    Tracer_des_positions(abscisses,ordonnees)

#Le programme principal--------------------------------------------
x=[...,...,...]
z=[...,...,...]
t=[...,...,...]
v_x,v_y,temps_v=calcul_vitesses(x,z,t)
representation_vecteur_vitesse(x,z,v_x,v_y)
plt.show()